## org.apache.poi.openxml4j.util
Interface ZipEntrySource

All Known Implementing Classes:
  ZipFileZipEntrySource, ZipInputStreamZipEntrySource

    public interface ZipEntrySource

An Interface to make getting the different bits of a Zip File easy. Allows you to get at the ZipEntries, without needing to worry about ZipFile vs ZipInputStream being annoyingly very different.

Method Summary
`void` `close()` Indicates we are done with reading, and resources may be freed
`java.util.Enumeration<? extends java.util.zip.ZipEntry>` `getEntries()` Returns an Enumeration of all the Entries
`java.io.InputStream` `getInputStream(java.util.zip.ZipEntry entry)` Returns an InputStream of the decompressed data that makes up the entry

Method Detail

### getEntries

    java.util.Enumeration<? extends java.util.zip.ZipEntry> getEntries()

  Returns an Enumeration of all the Entries

### getInputStream

    java.io.InputStream getInputStream(java.util.zip.ZipEntry entry)
                                       throws java.io.IOException

  Returns an InputStream of the decompressed data that makes up the entry

  Throws:
    `java.io.IOException`

### close

    void close()
               throws java.io.IOException

  Indicates we are done with reading, and resources may be freed

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.